/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreSpy;

import java.time.LocalDateTime;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreSpyRecord extends TableRecordImpl<TCoreSpyRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_spy.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_spy.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_spy.operation</code>.
     */
    public void setOperation(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_spy.operation</code>.
     */
    public String getOperation() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_spy.schemaname</code>.
     */
    public void setSchemaname(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_spy.schemaname</code>.
     */
    public String getSchemaname() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_spy.tablename</code>.
     */
    public void setTablename(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_spy.tablename</code>.
     */
    public String getTablename() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_spy.username</code>.
     */
    public void setUsername(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_spy.username</code>.
     */
    public String getUsername() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.t_core_spy.remoteip</code>.
     */
    public void setRemoteip(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_core_spy.remoteip</code>.
     */
    public String getRemoteip() {
        return (String) get(5);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreSpyRecord
     */
    public TCoreSpyRecord() {
        super(TCoreSpy.T_CORE_SPY);
    }

    /**
     * Create a detached, initialised TCoreSpyRecord
     */
    public TCoreSpyRecord(LocalDateTime lastchange, String operation, String schemaname, String tablename, String username, String remoteip) {
        super(TCoreSpy.T_CORE_SPY);

        setLastchange(lastchange);
        setOperation(operation);
        setSchemaname(schemaname);
        setTablename(tablename);
        setUsername(username);
        setRemoteip(remoteip);
        resetChangedOnNotNull();
    }
}
